| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiTest::FilePreprocessor Class Reference

Inheritance diagram for GaudiTest::FilePreprocessor:

[legend]

List of all members.

## Detailed Description

    Base class for a callable that takes a file and returns a modified
    version of it.

Definition at line 308 of file GaudiTest.py.

## Public Member Functions
def | __processLine__
def | __call__
def | __add__

## Member Function Documentation

def GaudiTest::FilePreprocessor::__processLine__ | ( |  | self,
|  |  | line |
| ) |  |  |

Reimplemented in GaudiTest::LineSkipper, and GaudiTest::RegexpReplacer.

Definition at line 311 of file GaudiTest.py.

    00311                                    :
    00312         return line
        def __call__(self, input):

def GaudiTest::FilePreprocessor::__call__ | ( |  | self,
|  |  | input |
| ) |  |  |

Reimplemented in GaudiTest::FilePreprocessorSequence.

Definition at line 313 of file GaudiTest.py.

    00313                              :
    00314         if hasattr(input,"__iter__"):
    00315             lines = input
    00316             mergeback = False
    00317         else:
    00318             lines = input.splitlines()
    00319             mergeback = True
    00320         output = []
    00321         for l in lines:
    00322             l = self.__processLine__(l)
    00323             if l: output.append(l)
    00324         if mergeback: output = '\n'.join(output)
    00325         return output
        def __add__(self, rhs):

def GaudiTest::FilePreprocessor::__add__ | ( |  | self,
|  |  | rhs |
| ) |  |  |

Reimplemented in GaudiTest::FilePreprocessorSequence, and GaudiTest::RegexpReplacer.

Definition at line 326 of file GaudiTest.py.

    00326                           :
    00327         return FilePreprocessorSequence([self,rhs])
    00328
    class FilePreprocessorSequence(FilePreprocessor):

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPolicy/qmtest_classes/GaudiTest.py